Bug 1397898 - Wacom tablet not working in xwayland
Summary: Wacom tablet not working in xwayland
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords:
: 1362206 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-23 14:15 UTC by Virgilio
Modified: 2017-12-12 11:08 UTC (History)
21 users (show)

(edit)
Clone Of:
: 1519961 (view as bug list)
(edit)
Last Closed: 2017-12-12 10:24:37 UTC


Attachments (Terms of Use)

Description Virgilio 2016-11-23 14:15:19 UTC
Description of problem:

After an upgrade to Fedora 25, using Wayland, my Wacom tablet does not get correctly identified.

When I plug it in my machine, I get two cursors: one for my laptop's touchpad and another that is controlled by my tablet's pen. While I can click with it on some buttons, I cannot drag anything (windows, for instance). Under Firefox, nothing is clickable or draggable.

When I open Wacom Preferences under System Settings, I get the message "No tablet detected".

After I log in with a Xorg session, everything works as expected.



Version-Release number of selected component (if applicable):
Fedora 25

How reproducible:
Must have a Wacom Tablet for reproducing this bug

Steps to Reproduce:
1. Log into a Wayland-managed Gnome session in Fedora 25
2. Plug a USB Wacom Tablet
3. Open the Wacom Preferences under System Settings

Actual results:
"No tablet detected"

Expected results:
Same options found on a Xorg-managed Gnome session for a Wacom tablet.

Additional info:
Found a similar report on Reddit: https://www.reddit.com/r/Fedora/comments/5dylj0/fedora_25_wayland_wacom_as_primary_mouse_input/

Comment 1 Robert de Rooy 2016-11-24 16:42:04 UTC
Same issue on integrated Wacom on Lenovo ThinkPad X1 Yoga, and with an external Wacom on another machine.

Comment 2 Kevin V 2016-11-25 08:07:32 UTC
Same issue on my desktop computer, after update to Fedora 25.
I have a Wacom Bamboo Fun, which does not work well, as described.

But everything works as before in Xorg.

Comment 3 Sam Tuke 2016-11-25 13:39:20 UTC
I also have this problem with a Wacom Intuos Pen Tablet CTL-490 on Fedora 25 (with Wayland, but not with X.org). Additionally in my case, in Firefox the cursor is not visible (or clickable).

Comment 4 René van Paassen 2016-11-27 20:28:47 UTC
Same issue here, Wacom Intuos PTZ631W. 

Some windows (I guess all that go through X11 compatibility) can be moved with the pen. 

The Wacom pen is re-named?? through wayland:

[repa@pascha ~]$ xinput
⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ xwayland-pointer:13                     	id=6	[slave  pointer  (2)]
⎜   ↳ xwayland-relative-pointer:13            	id=7	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ xwayland-keyboard:13                    	id=8	[slave  keyboard (3)]

Enabling the pen as input device in gimp drives it as a separate pointer, but presses nor button clicks are passed.

Comment 5 Robert de Rooy 2017-01-20 07:45:30 UTC
The issue is described here: https://plus.google.com/117863863653209681821/posts/7w9USq3fPZ9?sfc=true

The real issue is not the double input, but the lack of tablet support in xwayland. As such the tablet works only in GTK3 applications or other toolkits that have been ported to wayland. Anything that uses xwayland, which is most applications, will not see the tablet, and that includes GIMP, Inkscape, Firefox, Chrome, etc. But it will work fine in Libreoffice Draw.

Also the wacom settings app for Gnome needs to be updated, but that is a separate issue from the lack of xwayland support.

Comment 6 Virgilio 2017-01-23 14:13:29 UTC
Thanks for the information, Robert.

We'll have to wait for proper migration of other toolkits and the support in xwayland.

Unfortunately Fedora 25 has become unusable for me, since Xorg crashes almost at random. It offers support for my tablet, but it's not reliable for production work. I've tried both as an upgrade from F24 and as clean new installs. I have also found other people with similar issues with Xorg on F25.

I'll stick with F24 and wait to see if F26 comes with better support in xwayland or more stability in Xorg.

Thanks!

Comment 7 Sam Tuke 2017-01-23 16:59:12 UTC
(In reply to Virgilio from comment #6)
> Thanks for the information, Robert.
> 
> We'll have to wait for proper migration of other toolkits and the support in
> xwayland.
> 
> Unfortunately Fedora 25 has become unusable for me, since Xorg crashes
> almost at random. It offers support for my tablet, but it's not reliable for
> production work. I've tried both as an upgrade from F24 and as clean new
> installs. I have also found other people with similar issues with Xorg on
> F25.
> 
> I'll stick with F24 and wait to see if F26 comes with better support in
> xwayland or more stability in Xorg.
> 
> Thanks!

My situation exactly.

Comment 8 Virgilio 2017-02-17 00:04:38 UTC
Just an update. While the Wacom/Wayland issue isn't solved, the Xorg issue is now gone. It is described here: https://bugzilla.redhat.com/show_bug.cgi?id=1384486

Now using Fedora 25 on Xorg and everything works fine. Looking for the Wayland/Wacom feature now. :)

Comment 9 Olivier Fourdan 2017-03-01 14:24:08 UTC
(In reply to Sam Tuke from comment #7)
> [...]
> Unfortunately Fedora 25 has become unusable for me, since Xorg crashes
> almost at random. It offers support for my tablet, but it's not reliable for
> production work.

Just a side note, not wantign to hijack the bug, but a fix for these random crashes caused by an issue between Xorg 1.19 and Wacom has landed upstream, the fix for the Wacom driver is available in xorg-x11-drv-wacom-0.34.0-4.fc25

Comment 10 Virgilio 2017-03-01 20:16:00 UTC
Thanks, Olivier!
I'm now using xorg-x11-drv-wacom-0.34.0-4.fc25 and I've got no crashes so far. :)

Comment 11 Robert de Rooy 2017-03-09 07:49:32 UTC
*** Bug 1362206 has been marked as a duplicate of this bug. ***

Comment 12 Jonas Thiem 2017-03-09 12:27:41 UTC
Since I can't set this for another ticket apparently and mine was duplicated against this one, here is the external upstream ticket link: https://bugs.freedesktop.org/show_bug.cgi?id=99411

Comment 13 Robert de Rooy 2017-03-22 22:04:46 UTC
Minor update, the wacom gnome settings app is fixed in upstream Gnome 3.24, so you can configure your wacom device from Gnome when running Wayland.

This however does nothing to help with the lack of xwayland support.

Comment 14 azrul 2017-07-14 14:55:42 UTC
Wacom still not working on Wayland, i still have the same double cursor and i can’t configure button mapping on my intuos (PTH 451), no pressure sensitivity etc. nothing work.

To make things worse i can't map my button on Xorg too.

Gnome advertises Wacom will work out of the box in this kernel 3.24 on Wayland but mine are not working at all.Such a letdown.(fedora 26 gnome 3.24.2)

Comment 15 Ildar Akhmetgaleev 2017-07-15 08:27:15 UTC
Graphire 3 works in Wayiland in Fedora 26 but only in GNOME's applications. Tablet doesn't work in Gimp, Krita and MyPaint. Seems even MyPaint (GTK3) and Krita (QT5) still uses XWayland.

Comment 16 Robert de Rooy 2017-08-04 10:53:59 UTC
Supposedly this issue has been solved upstream and will be part of xorg 1.20 when it will be released. So we should hopefully have xwayland tablet support for Fedora 27.

Regarding gtk3, yes some gtk3 apps force x11 for one reason or another, so just because it is gtk3 does not automatically mean it is wayland native.

Comment 17 Jonas Thiem 2017-11-11 04:57:54 UTC
As of now, Fedora 27 seems to ship Xorg 1.19.5. Does that mean there will still be no proper xwayland tablet support until Fedora 28?

Comment 18 Virgilio 2017-11-11 15:34:55 UTC
(In reply to Jonas Thiem from comment #17)
> As of now, Fedora 27 seems to ship Xorg 1.19.5. Does that mean there will
> still be no proper xwayland tablet support until Fedora 28?

Well... after looking a bit for the current state of Xorg 1.20 development, I've stumbled upon this: https://www.phoronix.com/scan.php?page=news_item&px=Xorg-Server-1.20-Features

"Adam Jackson of Red Hat who has been serving as the xorg-server release manager held a quick session on Friday at XDC2017 to figure out what's needed for X.Org Server 1.20. His goal is to see X.Org Server 1.20 released in time for making the Fedora 28 version. For that to happen nicely, he's hoping to see xorg-server 1.20 released in January. The Fedora 28 beta freeze is the middle of March so there is still time for the 1.20 release to slip while making the F28 Linux distribution update."

Unfortunately we'll have to wait until next year. In a few days we'll celebrate this thread's anniversary. :)

Comment 19 Robert de Rooy 2017-11-11 16:18:08 UTC
And Canonicle has since backported the support, and it is available in Ubuntu 17.04 with updates. Meanwhile for Fedora it seems we need to wait another 6+ months.

Comment 20 Olivier Fourdan 2017-11-13 08:01:02 UTC
(In reply to Robert de Rooy from comment #19)
> And Canonicle has since backported the support, and it is available in
> Ubuntu 17.04 with updates. Meanwhile for Fedora it seems we need to wait
> another 6+ months.

Xorg 1.19.x in Fedora 27 has the Wacom patches backported from master, so the Wacom tablet should work in Fedor 27 in Xwayland.

Comment 22 Virgilio 2017-11-13 10:21:17 UTC
(In reply to Olivier Fourdan from comment #20)
> (In reply to Robert de Rooy from comment #19)
> > And Canonicle has since backported the support, and it is available in
> > Ubuntu 17.04 with updates. Meanwhile for Fedora it seems we need to wait
> > another 6+ months.
> 
> Xorg 1.19.x in Fedora 27 has the Wacom patches backported from master, so
> the Wacom tablet should work in Fedor 27 in Xwayland.

That's great news, Olivier! Thanks a lot for this info!

Comment 23 Fedora End Of Life 2017-11-16 19:40:15 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 24 Fedora End Of Life 2017-12-12 10:24:37 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.